Index: uspace/lib/c/arch/abs32le/_link.ld.in
===================================================================
--- uspace/lib/c/arch/abs32le/_link.ld.in	(revision a947d32a267b6f68c04a702061d091c2ad6e87bc)
+++ uspace/lib/c/arch/abs32le/_link.ld.in	(revision 4c4b53c4c79a79546306e9d3966c284e8853b2fb)
@@ -1,4 +1,4 @@
 STARTUP(LIBC_PATH/arch/UARCH/src/entry.o)
-ENTRY(__entry)
+ENTRY(_start)
 
 PHDRS {
Index: uspace/lib/c/arch/abs32le/src/entry.c
===================================================================
--- uspace/lib/c/arch/abs32le/src/entry.c	(revision a947d32a267b6f68c04a702061d091c2ad6e87bc)
+++ uspace/lib/c/arch/abs32le/src/entry.c	(revision 4c4b53c4c79a79546306e9d3966c284e8853b2fb)
@@ -33,9 +33,9 @@
 #include <stddef.h>
 
-extern void __entry(void);
+extern void _start(void);
 
 /* Normally, the entry point is defined in assembly for the architecture. */
 
-void __entry(void)
+void _start(void)
 {
 	__libc_main(NULL);
Index: uspace/lib/c/arch/amd64/_link.ld.in
===================================================================
--- uspace/lib/c/arch/amd64/_link.ld.in	(revision a947d32a267b6f68c04a702061d091c2ad6e87bc)
+++ uspace/lib/c/arch/amd64/_link.ld.in	(revision 4c4b53c4c79a79546306e9d3966c284e8853b2fb)
@@ -1,4 +1,4 @@
 STARTUP(LIBC_PATH/arch/UARCH/src/entry.o)
-ENTRY(__entry)
+ENTRY(_start)
 
 PHDRS {
Index: uspace/lib/c/arch/amd64/src/entry.S
===================================================================
--- uspace/lib/c/arch/amd64/src/entry.S	(revision a947d32a267b6f68c04a702061d091c2ad6e87bc)
+++ uspace/lib/c/arch/amd64/src/entry.S	(revision 4c4b53c4c79a79546306e9d3966c284e8853b2fb)
@@ -37,5 +37,5 @@
 # %rdi contains the PCB pointer
 #
-SYMBOL(__entry)
+SYMBOL(_start)
 	#
 	# Create the first stack frame.
Index: uspace/lib/c/arch/arm32/_link.ld.in
===================================================================
--- uspace/lib/c/arch/arm32/_link.ld.in	(revision a947d32a267b6f68c04a702061d091c2ad6e87bc)
+++ uspace/lib/c/arch/arm32/_link.ld.in	(revision 4c4b53c4c79a79546306e9d3966c284e8853b2fb)
@@ -1,4 +1,4 @@
 STARTUP(LIBC_PATH/arch/UARCH/src/entry.o)
-ENTRY(__entry)
+ENTRY(_start)
 
 PHDRS {
Index: uspace/lib/c/arch/arm32/src/entry.S
===================================================================
--- uspace/lib/c/arch/arm32/src/entry.S	(revision a947d32a267b6f68c04a702061d091c2ad6e87bc)
+++ uspace/lib/c/arch/arm32/src/entry.S	(revision 4c4b53c4c79a79546306e9d3966c284e8853b2fb)
@@ -38,5 +38,5 @@
 # r2 contains the RAS page address
 #
-SYMBOL(__entry)
+SYMBOL(_start)
 	# Store the RAS page address into the ras_page variable
 	ldr r0, =ras_page
Index: uspace/lib/c/arch/ia32/_link.ld.in
===================================================================
--- uspace/lib/c/arch/ia32/_link.ld.in	(revision a947d32a267b6f68c04a702061d091c2ad6e87bc)
+++ uspace/lib/c/arch/ia32/_link.ld.in	(revision 4c4b53c4c79a79546306e9d3966c284e8853b2fb)
@@ -1,5 +1,5 @@
 #ifndef SHLIB
 STARTUP(LIBC_PATH/arch/UARCH/src/entry.o)
-ENTRY(__entry)
+ENTRY(_start)
 #endif
 
Index: uspace/lib/c/arch/ia32/src/entry.S
===================================================================
--- uspace/lib/c/arch/ia32/src/entry.S	(revision a947d32a267b6f68c04a702061d091c2ad6e87bc)
+++ uspace/lib/c/arch/ia32/src/entry.S	(revision 4c4b53c4c79a79546306e9d3966c284e8853b2fb)
@@ -40,5 +40,5 @@
 # %edi contains the PCB pointer
 #
-SYMBOL(__entry)
+SYMBOL(_start)
 	mov %ss, %ax
 	mov %ax, %ds
Index: uspace/lib/c/arch/ia64/_link.ld.in
===================================================================
--- uspace/lib/c/arch/ia64/_link.ld.in	(revision a947d32a267b6f68c04a702061d091c2ad6e87bc)
+++ uspace/lib/c/arch/ia64/_link.ld.in	(revision 4c4b53c4c79a79546306e9d3966c284e8853b2fb)
@@ -1,4 +1,4 @@
 STARTUP(LIBC_PATH/arch/UARCH/src/entry.o)
-ENTRY(__entry)
+ENTRY(_start)
 
 PHDRS {
Index: uspace/lib/c/arch/ia64/src/entry.S
===================================================================
--- uspace/lib/c/arch/ia64/src/entry.S	(revision a947d32a267b6f68c04a702061d091c2ad6e87bc)
+++ uspace/lib/c/arch/ia64/src/entry.S	(revision 4c4b53c4c79a79546306e9d3966c284e8853b2fb)
@@ -37,5 +37,5 @@
 # r2 contains the PCB pointer
 #
-SYMBOL(__entry)
+SYMBOL(_start)
 	alloc loc0 = ar.pfs, 0, 1, 2, 0
 	movl gp = __gp
Index: uspace/lib/c/arch/mips32/_link.ld.in
===================================================================
--- uspace/lib/c/arch/mips32/_link.ld.in	(revision a947d32a267b6f68c04a702061d091c2ad6e87bc)
+++ uspace/lib/c/arch/mips32/_link.ld.in	(revision 4c4b53c4c79a79546306e9d3966c284e8853b2fb)
@@ -1,4 +1,4 @@
 STARTUP(LIBC_PATH/arch/UARCH/src/entry.o)
-ENTRY(__entry)
+ENTRY(__start)
 
 PHDRS {
Index: uspace/lib/c/arch/mips32/src/entry.S
===================================================================
--- uspace/lib/c/arch/mips32/src/entry.S	(revision a947d32a267b6f68c04a702061d091c2ad6e87bc)
+++ uspace/lib/c/arch/mips32/src/entry.S	(revision 4c4b53c4c79a79546306e9d3966c284e8853b2fb)
@@ -40,6 +40,6 @@
 # $a0 ($4) contains the PCB pointer
 #
-FUNCTION_BEGIN(__entry)
-	.ent __entry
+FUNCTION_BEGIN(__start)
+	.ent __start
 	.frame $sp, ABI_STACK_FRAME, $ra
 	.cpload $t9
@@ -62,4 +62,4 @@
 	#
 	addiu $sp, ABI_STACK_FRAME
-	.end __entry
-FUNCTION_END(__entry)
+	.end __start
+FUNCTION_END(__start)
Index: uspace/lib/c/arch/ppc32/_link.ld.in
===================================================================
--- uspace/lib/c/arch/ppc32/_link.ld.in	(revision a947d32a267b6f68c04a702061d091c2ad6e87bc)
+++ uspace/lib/c/arch/ppc32/_link.ld.in	(revision 4c4b53c4c79a79546306e9d3966c284e8853b2fb)
@@ -1,4 +1,4 @@
 STARTUP(LIBC_PATH/arch/UARCH/src/entry.o)
-ENTRY(__entry)
+ENTRY(_start)
 
 PHDRS {
Index: uspace/lib/c/arch/ppc32/src/entry.S
===================================================================
--- uspace/lib/c/arch/ppc32/src/entry.S	(revision a947d32a267b6f68c04a702061d091c2ad6e87bc)
+++ uspace/lib/c/arch/ppc32/src/entry.S	(revision 4c4b53c4c79a79546306e9d3966c284e8853b2fb)
@@ -37,5 +37,5 @@
 # r6 contains the PCB pointer
 #
-SYMBOL(__entry)
+SYMBOL(_start)
 	#
 	# Create the first stack frame.
Index: uspace/lib/c/arch/riscv64/_link.ld.in
===================================================================
--- uspace/lib/c/arch/riscv64/_link.ld.in	(revision a947d32a267b6f68c04a702061d091c2ad6e87bc)
+++ uspace/lib/c/arch/riscv64/_link.ld.in	(revision 4c4b53c4c79a79546306e9d3966c284e8853b2fb)
@@ -1,4 +1,4 @@
 STARTUP(LIBC_PATH/arch/UARCH/src/entry.o)
-ENTRY(__entry)
+ENTRY(_start)
 
 PHDRS {
Index: uspace/lib/c/arch/riscv64/src/entry.c
===================================================================
--- uspace/lib/c/arch/riscv64/src/entry.c	(revision a947d32a267b6f68c04a702061d091c2ad6e87bc)
+++ uspace/lib/c/arch/riscv64/src/entry.c	(revision 4c4b53c4c79a79546306e9d3966c284e8853b2fb)
@@ -32,9 +32,9 @@
 #include "../../../generic/private/libc.h"
 
-extern void __entry(void);
+extern void _start(void);
 
 // FIXME: Implement properly.
 
-void __entry(void)
+void _start(void)
 {
 	__libc_main((void *) 0);
Index: uspace/lib/c/arch/sparc64/_link.ld.in
===================================================================
--- uspace/lib/c/arch/sparc64/_link.ld.in	(revision a947d32a267b6f68c04a702061d091c2ad6e87bc)
+++ uspace/lib/c/arch/sparc64/_link.ld.in	(revision 4c4b53c4c79a79546306e9d3966c284e8853b2fb)
@@ -1,4 +1,4 @@
 STARTUP(LIBC_PATH/arch/UARCH/src/entry.o)
-ENTRY(__entry)
+ENTRY(_start)
 
 PHDRS {
Index: uspace/lib/c/arch/sparc64/src/entry.S
===================================================================
--- uspace/lib/c/arch/sparc64/src/entry.S	(revision a947d32a267b6f68c04a702061d091c2ad6e87bc)
+++ uspace/lib/c/arch/sparc64/src/entry.S	(revision 4c4b53c4c79a79546306e9d3966c284e8853b2fb)
@@ -38,5 +38,5 @@
 # %o1 contains pcb_ptr
 #
-SYMBOL(__entry)
+SYMBOL(_start)
 	#
 	# Create the first stack frame.
